View Issue Details

IDProjectCategoryView StatusLast Update
0003516FreeCADBugpublic2018-08-23 16:51
Reporterfederico.carminati@gmail.comAssigned Topeterl94 
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
PlatformMacBook Pro (Retina, 15-inch, MiOSMac OS XOS Version10.13.5
Product Version0.17 
Target VersionFixed in Version0.18 
Summary0003516: Cannot compile head of FreeCad
DescriptionGood morning,
   I just pulled a new head and I have the attached problem. Someone... is pulling a -std=gnu++11 in the compilation optons. Moreover I had to make this change


[...l/FreeCAD/FreeCAD-git] git diff
diff --git a/cMake/FindNETGEN.cmake b/cMake/FindNETGEN.cmake
index aefdd9d..8b4b853 100644
--- a/cMake/FindNETGEN.cmake
+++ b/cMake/FindNETGEN.cmake
@@ -20,7 +20,7 @@ if(Netgen_FOUND)
   set(NETGEN_DEFINITIONS -DNO_PARALLEL_THREADS -DOCCGEOMETRY)
   # for external smesh only the following two variables are needed:
   set(NETGEN_FOUND True)
-  set(NETGEN_INCLUDE_DIRS ${NETGEN_INCLUDE_DIR})
+#  set(NETGEN_INCLUDE_DIRS ${NETGEN_INCLUDE_DIR})

 else(Netgen_FOUND)

to avoid an earlier compilation error. Thanks for your help. Best regards, 



[...r/local/FreeCAD/build] make
[  1%] Built target Driver
[  2%] Built target SMDS
[  2%] Built target DriverDAT
[  2%] Built target MEFISTO2
[  2%] Built target SMESHDS
[  2%] Built target DriverSTL
[  2%] Built target DriverUNV
[  4%] Built target SMESH
[  6%] Built target StdMeshers
[  6%] Building CXX object src/3rdParty/salomesmesh/CMakeFiles/NETGENPlugin.dir/src/NETGENPlugin/NETGENPlugin_Mesher.cpp.o

In file included from /usr/local/FreeCAD/FreeCAD-git/src/3rdParty/salomesmesh/src/NETGENPlugin/NETGENPlugin_Mesher.cpp:80:

In file included from /Applications/Netgen.app/Contents/Resources/include/include/occgeom.hpp:1:
In file included from /Applications/Netgen.app/Contents/Resources/include/include/../occ/occgeom.hpp:12:

In file included from /Applications/Netgen.app/Contents/Resources/include/include/meshing.hpp:1:
In file included from /Applications/Netgen.app/Contents/Resources/include/include/../meshing/meshing.hpp:6:

In file included from /Applications/Netgen.app/Contents/Resources/include/include/../meshing/../include/myadt.hpp:1:

In file included from /Applications/Netgen.app/Contents/Resources/include/include/../general/myadt.hpp:17:

/Applications/Netgen.app/Contents/Resources/include/include/../general/../include/mydefs.hpp:26:15: warning: 
'DLL_HEADER' macro redefined [-Wmacro-redefined]
      #define DLL_HEADER __attribute__ ((visibility ("default")))
              ^
/Applications/Netgen.app/Contents/Resources/include/nglib.h:33:12: note: previous definition is here
   
#define DLL_HEADER
           ^
In file included from /usr/local/FreeCAD/FreeCAD-git/src/3rdParty/salomesmesh/src/NETGENPlugin/NETGENPlugin_Mesher.cpp:80:

In file included from /Applications/Netgen.app/Contents/Resources/include/include/occgeom.hpp:1:
In file included from /Applications/Netgen.app/Contents/Resources/include/include/../occ/occgeom.hpp:12:

In file included from /Applications/Netgen.app/Contents/Resources/include/include/meshing.hpp:1:
In file included from /Applications/Netgen.app/Contents/Resources/include/include/../meshing/meshing.hpp:6:

In file included from /Applications/Netgen.app/Contents/Resources/include/include/../meshing/../include/myadt.hpp:1:

In file included from /Applications/Netgen.app/Contents/Resources/include/include/../general/myadt.hpp:29:

/Applications/Netgen.app/Contents/Resources/include/include/../general/hashtabl.hpp:1602:7: error: 'auto' 
return without trailing return type; deduced return types are a C++14 extension
      auto operator* () const
      ^
In file included from /usr/local/FreeCAD/FreeCAD-git/src/3rdParty/salomesmesh/src/NETGENPlugin/NETGENPlugin_Mesher.cpp:80:

In file included from /Applications/Netgen.app/Contents/Resources/include/include/occgeom.hpp:1:
In file included from /Applications/Netgen.app/Contents/Resources/include/include/../occ/occgeom.hpp:12:

In file included from /Applications/Netgen.app/Contents/Resources/include/include/meshing.hpp:1:
In file included from /Applications/Netgen.app/Contents/Resources/include/include/../meshing/meshing.hpp:6:

In file included from /Applications/Netgen.app/Contents/Resources/include/include/../meshing/../include/myadt.hpp:1:

In file included from /Applications/Netgen.app/Contents/Resources/include/include/../general/myadt.hpp:49:

/Applications/Netgen.app/Contents/Resources/include/include/../general/ngsimd.hpp:101:13: error: 'auto' 
return without trailing return type; deduced return types are a C++14 extension
  NG_INLINE auto FMA(T1 a, T2 b, T3 c)
            ^
/Applications/Netgen.app/Contents/Resources/include/include/../general/ngsimd.hpp:280:13: error: 'auto' 
return without trailing return type; deduced return types are a C++14 extension
  NG_INLINE auto HSum (SIMD<double,1> sd1, SIMD<double,1> sd2)
            ^
/Applications/Netgen.app/Contents/Resources/include/include/../general/ngsimd.hpp:282:12: error: no viable 
conversion from returned value of type 'tuple<typename __make_tuple_return<double &>::type, 
typename __make_tuple_return<double &>::type>' (aka 'tuple<double, double>') to function 
return type 'int'
    return std::make_tuple(sd1.Data(), sd2.Data());
           ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/Applications/Netgen.app/Contents/Resources/include/include/../general/ngsimd.hpp:285:13: error: 'auto' 
return without trailing return type; deduced return types are a C++14 extension
  NG_INLINE auto HSum (SIMD<double,1> sd1, SIMD<double,1> sd2, SIMD<double,1> sd3, 
SIMD<double,1> sd4)
            ^
/Applications/Netgen.app/Contents/Resources/include/include/../general/ngsimd.hpp:287:12: error: no viable 
conversion from returned value of type 'tuple<typename __make_tuple_return<double &>::type, 
typename __make_tuple_return<double &>::type, typename __make_tuple_return<double &>::type, 
typename __make_tuple_return<double &>::type>' (aka 'tuple<double, double, double, double>') 
to function return type 'int'
    return std::make_tuple(sd1.Data(), sd2.Data(), sd3.Data(), sd4.Data());
           ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/Applications/Netgen.app/Contents/Resources/include/include/../general/ngsimd.hpp:614:5: error: 'auto' 
return without trailing return type; deduced return types are a C++14 extension
    auto MakeTuple() { return std::tuple_cat(std::tuple<SIMD<T>&> (head), tail.MakeTuple()); 
}
    ^
/Applications/Netgen.app/Contents/Resources/include/include/../general/ngsimd.hpp:638:5: error: 'auto' 
return without trailing return type; deduced return types are a C++14 extension
    auto MakeTuple() { return std::tuple<SIMD<T>&, SIMD<T>&> (v0, v1); }
    ^
/Applications/Netgen.app/Contents/Resources/include/include/../general/ngsimd.hpp:683:30: error: 'auto' 
return without trailing return type; deduced return types are a C++14 extension
  template <int D> NG_INLINE auto HSum (MultiSIMD<D,double> a, MultiSIMD<D,double> 
b)
                             ^
In file included from /usr/local/FreeCAD/FreeCAD-git/src/3rdParty/salomesmesh/src/NETGENPlugin/NETGENPlugin_Mesher.cpp:80:

In file included from /Applications/Netgen.app/Contents/Resources/include/include/occgeom.hpp:1:
In file included from /Applications/Netgen.app/Contents/Resources/include/include/../occ/occgeom.hpp:12:

In file included from /Applications/Netgen.app/Contents/Resources/include/include/meshing.hpp:1:
In file included from /Applications/Netgen.app/Contents/Resources/include/include/../meshing/meshing.hpp:23:

/Applications/Netgen.app/Contents/Resources/include/include/../meshing/meshtype.hpp:478:5: error: 'auto' 
return without trailing return type; deduced return types are a C++14 extension
    auto Vertices() const
    ^
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/meshtype.hpp:479:14: error: no 
viable conversion from returned value of type 'FlatArray<const netgen::PointIndex>' to function 
return type 'int'
    { return FlatArray<const PointIndex> (GetNV(), &pnum[0]); }
             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /usr/local/FreeCAD/FreeCAD-git/src/3rdParty/salomesmesh/src/NETGENPlugin/NETGENPlugin_Mesher.cpp:80:

In file included from /Applications/Netgen.app/Contents/Resources/include/include/occgeom.hpp:1:
In file included from /Applications/Netgen.app/Contents/Resources/include/include/../occ/occgeom.hpp:12:

In file included from /Applications/Netgen.app/Contents/Resources/include/include/meshing.hpp:1:
In file included from /Applications/Netgen.app/Contents/Resources/include/include/../meshing/meshing.hpp:25:

/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:360:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
    { { 1, 2 }};
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:363:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
    { { 3, 1 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:364:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 2, 3 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:365:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 1, 2 }};
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:368:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
    { { 1, 2 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:369:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 3, 4 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:370:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 4, 1 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:371:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 2, 3 }};
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:375:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
    { { 4, 1 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:376:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 4, 2 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:377:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 4, 3 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:378:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 1, 2 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:379:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 1, 3 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:380:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 2, 3 }};
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:383:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
    { { 3, 1 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:384:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 1, 2 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:385:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 3, 2 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:386:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 6, 4 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:387:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 4, 5 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:388:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 6, 5 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:389:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 3, 6 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:390:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 1, 4 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:391:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 2, 5 }};
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:394:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
    { { 1, 2 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:395:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 2, 3 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:396:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 1, 4 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:397:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 4, 3 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:398:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 1, 5 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:399:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 2, 5 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:400:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 3, 5 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:401:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 4, 5 }};
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:405:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 1, 2 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:406:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 3, 4 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:407:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 4, 1 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:408:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 2, 3 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:409:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 5, 6 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:410:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 7, 8 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:411:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 8, 5 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:412:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 6, 7 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:413:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 1, 5 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:414:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 2, 6 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:415:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 3, 7 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:416:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 4, 8 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:458:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
    { { 0, 1 }};
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:461:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
    { { 2, 0 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:462:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 1, 2 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:463:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 0, 1 }};
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:466:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
    { { 0, 1 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:467:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 2, 3 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:468:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 3, 0 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:469:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 1, 2 }};
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:473:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
    { { 3, 0 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:474:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 3, 1 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:475:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 3, 2 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:476:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 0, 1 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:477:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 0, 2 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:478:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 1, 2 }};
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:481:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
    { { 2, 0 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:482:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 0, 1 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:483:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 2, 1 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:484:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 5, 3 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:485:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 3, 4 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:486:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 5, 4 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:487:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 2, 5 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:488:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 0, 3 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:489:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 1, 4 }};
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:492:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
    { { 0, 1 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:493:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 1, 2 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:494:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 0, 3 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:495:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 3, 2 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:496:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 0, 4 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:497:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 1, 4 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:498:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 2, 4 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:499:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 3, 4 }};
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:503:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 0, 1 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:504:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 2, 3 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:505:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 3, 0 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:506:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 1, 2 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:507:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 4, 5 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:508:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 6, 7 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:509:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 7, 4 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:510:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 5, 6 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:511:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 0, 4 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:512:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 1, 5 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:513:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 2, 6 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:514:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 3, 7 },
        ^~~~
        {   }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:563:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
    { { 1, 2, 3, 0 } };
        ^~~~~~~~~~
        {         }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:565:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
    { { 1, 2, 3, 4 } };
        ^~~~~~~~~~
        {         }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:568:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
    { { 4, 2, 3, 0 },
        ^~~~~~~~~~
        {         }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:569:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 4, 3, 1, 0 },
        ^~~~~~~~~~
        {         }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:570:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 4, 1, 2, 0 },
        ^~~~~~~~~~
        {         }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:571:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 1, 3, 2, 0 } };
        ^~~~~~~~~~
        {         }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:575:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 1, 3, 2, 0 },
        ^~~~~~~~~~
        {         }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:576:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 4, 5, 6, 0 },
        ^~~~~~~~~~
        {         }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:577:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 3, 1, 4, 6 },
        ^~~~~~~~~~
        {         }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:578:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 1, 2, 5, 4 },
        ^~~~~~~~~~
        {         }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:579:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 2, 3, 6, 5 }
        ^~~~~~~~~~
        {         }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:584:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 1, 2, 5, 0 },
        ^~~~~~~~~~
        {         }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:585:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 2, 3, 5, 0 },
        ^~~~~~~~~~
        {         }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:586:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 3, 4, 5, 0 },
        ^~~~~~~~~~
        {         }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:587:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 4, 1, 5, 0 },
        ^~~~~~~~~~
        {         }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:588:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 1, 4, 3, 2 }
        ^~~~~~~~~~
        {         }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:593:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 1, 4, 3, 2 },
        ^~~~~~~~~~
        {         }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:594:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 5, 6, 7, 8 },
        ^~~~~~~~~~
        {         }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:595:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 1, 2, 6, 5 },
        ^~~~~~~~~~
        {         }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:596:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 2, 3, 7, 6 },
        ^~~~~~~~~~
        {         }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:597:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 3, 4, 8, 7 },
        ^~~~~~~~~~
        {         }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:598:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 4, 1, 5, 8 }
        ^~~~~~~~~~
        {         }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:645:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
    { { 0, 1, 2, -1 } };
        ^~~~~~~~~~~
        {          }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:647:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
    { { 0, 1, 2, 3 } };
        ^~~~~~~~~~
        {         }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:650:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
    { { 3, 1, 2, -1 },
        ^~~~~~~~~~~
        {          }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:651:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 3, 2, 0, -1 },
        ^~~~~~~~~~~
        {          }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:652:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 3, 0, 1, -1 },
        ^~~~~~~~~~~
        {          }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:653:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 0, 2, 1, -1 } };
        ^~~~~~~~~~~
        {          }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:657:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 0, 2, 1, -1 },
        ^~~~~~~~~~~
        {          }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:658:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 3, 4, 5, -1 },
        ^~~~~~~~~~~
        {          }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:659:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 2, 0, 3, 5 },
        ^~~~~~~~~~
        {         }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:660:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 0, 1, 4, 3 },
        ^~~~~~~~~~
        {         }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:661:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 1, 2, 5, 4 }
        ^~~~~~~~~~
        {         }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:666:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 0, 1, 4, -1 },
        ^~~~~~~~~~~
        {          }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:667:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 1, 2, 4, -1 },
        ^~~~~~~~~~~
        {          }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:668:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 2, 3, 4, -1 },
        ^~~~~~~~~~~
        {          }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:669:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 3, 0, 4, -1 },
        ^~~~~~~~~~~
        {          }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:670:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 0, 3, 2, 1 }
        ^~~~~~~~~~
        {         }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:675:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 0, 3, 2, 1 },
        ^~~~~~~~~~
        {         }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:676:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 4, 5, 6, 7 },
        ^~~~~~~~~~
        {         }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:677:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 0, 1, 5, 4 },
        ^~~~~~~~~~
        {         }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:678:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 1, 2, 6, 5 },
        ^~~~~~~~~~
        {         }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:679:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 2, 3, 7, 6 },
        ^~~~~~~~~~
        {         }
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/topology.hpp:680:9: warning: suggest 
braces around initialization of subobject [-Wmissing-braces]
      { 3, 0, 4, 7 }
        ^~~~~~~~~~
        {         }
In file included from /usr/local/FreeCAD/FreeCAD-git/src/3rdParty/salomesmesh/src/NETGENPlugin/NETGENPlugin_Mesher.cpp:80:

In file included from /Applications/Netgen.app/Contents/Resources/include/include/occgeom.hpp:1:
In file included from /Applications/Netgen.app/Contents/Resources/include/include/../occ/occgeom.hpp:12:

In file included from /Applications/Netgen.app/Contents/Resources/include/include/meshing.hpp:1:
In file included from /Applications/Netgen.app/Contents/Resources/include/include/../meshing/meshing.hpp:26:

/Applications/Netgen.app/Contents/Resources/include/include/../meshing/meshclass.hpp:262:11: error: 'auto' 
return without trailing return type; deduced return types are a C++14 extension
    const auto & LineSegments() const { return segments; }
          ^
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/meshclass.hpp:263:5: error: 'auto' 
return without trailing return type; deduced return types are a C++14 extension
    auto & LineSegments() { return segments; }
    ^
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/meshclass.hpp:332:11: error: 'auto' 
return without trailing return type; deduced return types are a C++14 extension
    const auto & VolumeElements() const { return volelements; }
          ^
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/meshclass.hpp:333:5: error: 'auto' 
return without trailing return type; deduced return types are a C++14 extension
    auto & VolumeElements() { return volelements; }
    ^
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/meshclass.hpp:343:11: error: 'auto' 
return without trailing return type; deduced return types are a C++14 extension
    const auto & LockedPoints() const { return lockedpoints; }
          ^
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/meshclass.hpp:262:48: error: no 
viable conversion from returned value of type 'const Array<netgen::Segment, 0, size_t>' (aka 'const 
Array<netgen::Segment, 0, unsigned long>') to function return type 'int'
    const auto & LineSegments() const { return segments; }
                                               ^~~~~~~~
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/meshclass.hpp:263:36: error: no 
viable conversion from returned value of type 'Array<netgen::Segment, 0, size_t>' (aka 'Array<netgen::Segment, 
0, unsigned long>') to function return type 'int'
    auto & LineSegments() { return segments; }
                                   ^~~~~~~~
/Applications/Netgen.app/Contents/Resources/include/include/../meshing/meshclass.hpp:332:50: error: no 
viable conversion from returned value of type 'const netgen::Mesh::T_VOLELEMENTS' (aka 'const Array<netgen::Element, 
0, unsigned long>') to function return type 'int'
    const auto & VolumeElements() const { return volelements; }
                                                 ^~~~~~~~~~~
fatal error: too many errors emitted, stopping now [-ferror-limit=]
131 warnings and 20 errors generated.
make[2]: *** [src/3rdParty/salomesmesh/CMakeFiles/NETGENPlugin.dir/build.make:89: src/3rdParty/salomesmesh/CMakeFiles/NETGENPlugin.dir/src/NETGENPlugin/NETGENPlugin_Mesher.cpp.o] 
Error 1
make[1]: *** [CMakeFiles/Makefile2:342: src/3rdParty/salomesmesh/CMakeFiles/NETGENPlugin.dir/all] Error 
2
make: *** [Makefile:130: all] Error 2
[...r/local/FreeCAD/build]
Steps To Reproduceafter updating / upgrading brew and pulling from head I cannot compile FreeCad any longer.
This has been reported in the forum as

Your text to link here...
Additional InformationI have no current installation of FreeCad
TagsNo tags attached.

Activities

Kunda1

2018-06-19 10:53

administrator   ~0011451

Punting to peter94

federico.carminati@gmail.com

2018-06-19 10:59

reporter   ~0011452

Last edited: 2018-06-19 11:04

View 7 revisions

If I run


for i in `grep -Rl '\-std=gnu++11' .` ; do sed -e 's/\-std=gnu++11//' <$i > /tmp/junk ; mv /tmp/junk 
$i ; done


I can go a bit further. However, I have installed NETGEN-6.2-dev. Apparently the macro


NETGEN_VERSION_STRING(5,0) 


cannot parse the version number and compilation fails again. Just doing this


+++ b/src/3rdParty/salomesmesh/src/NETGENPlugin/NETGENPlugin_Mesher.cpp
@@ -2904,11 +2904,12 @@ bool NETGENPlugin_Mesher::Compute()
         _ngMesh->SetGlobalH (mparams.maxh);
         mparams.grading = 0.4;

-#if NETGEN_VERSION < NETGEN_VERSION_STRING(5,0)
-        _ngMesh->CalcLocalH();
-#else
+#warning NETGEN_VERSION
+//#if NETGEN_VERSION < NETGEN_VERSION_STRING(5,0)
+//        _ngMesh->CalcLocalH();
+//#else
         _ngMesh->CalcLocalH(mparams.grading);
-#endif
+//#endif
       }
       // Care of vertices internal in solids and internal faces (issue 0020676)
       if ( internals.hasInternalVertexInSolid() || internals.hasInternalFaces() )


in a couple of places



[...l/FreeCAD/FreeCAD-git] git st
On branch master
Your branch is up-to-date with 'origin/master'.
Changes not staged for commit:
  (use "git add <file>..." to update what will be committed)
  (use "git checkout -- <file>..." to discard changes in working directory)

    modified:   cMake/FindNETGEN.cmake
    modified:   src/3rdParty/salomesmesh/src/NETGENPlugin/NETGENPlugin_Mesher.cpp
    modified:   src/3rdParty/salomesmesh/src/NETGENPlugin/NETGENPlugin_NETGEN_3D.cpp

no changes added to commit (use "git add" and/or "git commit -a")


allows me to go a bit further, but then I crash with



[6%] Linking CXX shared library ../../../lib/libNETGENPlugin.dylib
Undefined symbols for architecture x86_64:
  "netgen::OCCGeometry::CalcBoundingBox()", referenced from:
      NETGENPlugin_NETGEN_2D_ONLY::Compute(SMESH_Mesh&, TopoDS_Shape const&) in NETGENPlugin_NETGEN_2D_ONLY.cpp.o
  
"netgen::merge_solids", referenced from:
      NETGENPlugin_Mesher::SetDefaultParameters() in NETGENPlugin_Mesher.cpp.o
      NETGENPlugin_Mesher::SetParameters(NETGENPlugin_Hypothesis const*) in NETGENPlugin_Mesher.cpp.o
  
"netgen::OCCGenerateMesh(netgen::OCCGeometry&, netgen::Mesh*&, int, int, char*)", referenced 
from:
      NETGENPlugin_Mesher::Compute() in NETGENPlugin_Mesher.cpp.o
      NETGENPlugin_Mesher::Evaluate(std::__1::map<SMESH_subMesh*, std::__1::vector<int, std::__1::allocator<int> 
>, std::__1::less<SMESH_subMesh*>, std::__1::allocator<std::__1::pair<SMESH_subMesh* const, 
std::__1::vector<int, std::__1::allocator<int> > > > >&) in NETGENPlugin_Mesher.cpp.o
      
NETGENPlugin_NETGEN_2D_ONLY::Compute(SMESH_Mesh&, TopoDS_Shape const&) in NETGENPlugin_NETGEN_2D_ONLY.cpp.o
  
"netgen::OCCSetLocalMeshSize(netgen::OCCGeometry&, netgen::Mesh&)", referenced from:
      
NETGENPlugin_NETGEN_2D_ONLY::Compute(SMESH_Mesh&, TopoDS_Shape const&) in NETGENPlugin_NETGEN_2D_ONLY.cpp.o
  
"netgen::OCCRefinementSurfaces::OCCRefinementSurfaces(netgen::OCCGeometry const&)", referenced 
from:
      NETGENPlugin_Mesher::Compute() in NETGENPlugin_Mesher.cpp.o
  "netgen::OCCRefinementSurfaces::~OCCRefinementSurfaces()", referenced from:
      NETGENPlugin_Mesher::Compute() in NETGENPlugin_Mesher.cpp.o
  "netgen::occparam", referenced from:
      NETGENPlugin_NETGEN_2D_ONLY::Compute(SMESH_Mesh&, TopoDS_Shape const&) in NETGENPlugin_NETGEN_2D_ONLY.cpp.o
  
"vtable for netgen::OCCGeometry", referenced from:
      netgen::OCCGeometry::OCCGeometry() in NETGENPlugin_Mesher.cpp.o
      netgen::OCCGeometry::~OCCGeometry() in NETGENPlugin_Mesher.cpp.o
      netgen::OCCGeometry::OCCGeometry() in NETGENPlugin_NETGEN_2D_ONLY.cpp.o
      netgen::OCCGeometry::~OCCGeometry() in NETGENPlugin_NETGEN_2D_ONLY.cpp.o
      netgen::OCCGeometry::OCCGeometry() in NETGENPlugin_NETGEN_3D.cpp.o
      netgen::OCCGeometry::~OCCGeometry() in NETGENPlugin_NETGEN_3D.cpp.o
  NOTE: a missing vtable usually means the first non-inline virtual member function has no definition.

ld: symbol(s) not found for architecture x86_64
clang: error: linker command failed with exit code 1 (use -v to see invocation)
make[2]: *** [src/3rdParty/salomesmesh/CMakeFiles/NETGENPlugin.dir/build.make:273: lib/libNETGENPlugin.dylib] 
Error 1
make[1]: *** [CMakeFiles/Makefile2:342: src/3rdParty/salomesmesh/CMakeFiles/NETGENPlugin.dir/all] Error 
2
make: *** [Makefile:130: all] Error 2



federico.carminati@gmail.com

2018-08-14 13:27

reporter   ~0011622

Somehow this problem went away, but I still cannot compile FreeCad. Will repost a new issue.

Kunda1

2018-08-23 16:51

administrator   ~0011640

@federico.carminati@gmail.com I'm closing this ticket then.

Issue History

Date Modified Username Field Change
2018-06-19 05:14 federico.carminati@gmail.com New Issue
2018-06-19 10:53 Kunda1 Assigned To => peterl94
2018-06-19 10:53 Kunda1 Status new => assigned
2018-06-19 10:53 Kunda1 Note Added: 0011451
2018-06-19 10:59 federico.carminati@gmail.com Note Added: 0011452
2018-06-19 11:00 federico.carminati@gmail.com Note Edited: 0011452 View Revisions
2018-06-19 11:01 federico.carminati@gmail.com Note Edited: 0011452 View Revisions
2018-06-19 11:03 federico.carminati@gmail.com Note Edited: 0011452 View Revisions
2018-06-19 11:03 federico.carminati@gmail.com Note Edited: 0011452 View Revisions
2018-06-19 11:03 federico.carminati@gmail.com Note Edited: 0011452 View Revisions
2018-06-19 11:04 federico.carminati@gmail.com Note Edited: 0011452 View Revisions
2018-08-14 13:27 federico.carminati@gmail.com Note Added: 0011622
2018-08-23 16:51 Kunda1 Status assigned => closed
2018-08-23 16:51 Kunda1 Resolution open => fixed
2018-08-23 16:51 Kunda1 Fixed in Version => 0.18
2018-08-23 16:51 Kunda1 Note Added: 0011640